package cn.iocoder.yudao.module.system.service.biz;


import cn.iocoder.yudao.module.system.dal.dataobject.biz.BirthdayCareDO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.excel.ElderlyBirthdayExcelVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ElderlyInfoDO;

import java.util.List;

/**
 * 长者生日关怀 Service 接口
 *
 * @author 系统管理员
 */
public interface BirthdayCareService {


    Long createBirthdayCare(BirthdayCareDO birthdayCare);

    List<ElderlyInfoDO> getElderBirthdayListByDate(String month, Integer orgType, Long[] tenantIds);

    /**
     * 导出当月长者生日 Excel 数据
     *
     * @param month yyyy-MM
     */
    List<ElderlyBirthdayExcelVO> getElderBirthdayExportList(String month, Integer orgType, Long[] tenantIds);

    BirthdayCareDO getBirthdayCare(Long elderId);

    void updateBirthdayCare(BirthdayCareDO updateReqVO);

    List<String> getBirthdayPictures(Long elderId);
}